Subject: Re: [PATCH] restore: fault --staged --worktree with merge opts

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Feb 2023 15:09:44 -0800

Andy Koppe <[email-masked]> writes:

> On Tue, 21 Feb 2023 at 18:38, Junio C Hamano wrote:
>>         Side note 2: it is conceivable that --worktree --staged
>>         --ours may want to (1) resolve the conflicted path to stage
>>         #2 in the index and (2) check out the result in the working
>>         tree.
>
> Same with restore --worktree --staged --theirs and stage #3?

These two work pretty much symmetrical, so the same story should
apply there, I would think.

> Thank you very much for the thorough review. I'll prepare a new
> version of the patch.

Thanks.